Redmine XLSX format issue exporter plugin gives error on ubuntu

Added by Vishakha Jadhav 9 months ago

I have installed the export to excel plugin on windows and its working fine but the same plugin gives error after installing on Ubuntu.
Please help in it.

Link of plugin which installed on windows as well as Ubuntu as follows:
https://www.redmine.org/plugins/redmine_xlsx_format_issue_exporter

Replies (13)

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Tatsuya Saito 9 months ago

Could you show following information?

  • Your environment details like a result of bin/about .
  • Error logs.
  • What's and when error happened?
  • How to reproduce it.

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Tatsuya Saito 9 months ago

I checked on Ubuntu 14.04.5 LTS (using docker), but I cannot reproduce it.
My environment information is following.

Environment:
  Redmine version                3.4.6.stable
  Ruby version                   2.3.7-p456 (2018-03-28) [x86_64-linux-gnu]
  Rails version                  4.2.8
  Environment                    production
  Database adapter               PostgreSQL
SCM:
  Subversion                     1.8.8
  Darcs                          2.8.4
  Mercurial                      2.8.2
  Cvs                            1.12.13
  Bazaar                         2.7.0
  Git                            2.17.1
  Filesystem                     
Redmine plugins:
  redmine_xlsx_format_issue_exporter 0.1.5

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

Environment Information is as follows:

root@ecm-VirtualBox:/home/ecm/redmine-3.4.4-2/apps/redmine/htdocs# bin/about

sh: 1: svn: not found
sh: 1: darcs: not found
sh: 1: hg: not found
sh: 1: cvs: not found
sh: 1: bzr: not found
Environment:
Redmine version 3.4.4.stable
Ruby version 2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]
Rails version 4.2.8
Environment production
Database adapter Mysql2
SCM:
Git 2.7.4
Filesystem
Redmine plugins:
event_notifications 2.4.1
redmine_xlsx_format_issue_exporter 0.1.5
silent_statuses 1.0

- Error is coming after restarting the redmine after installation of plugin and trying to access the login page.
- Unable to access login page after installation of plugin.

System Info.PNG (46.9 KB)

Error1.PNG (26.1 KB)

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Tatsuya Saito 9 months ago

I'm trying to reproduce it, but not yet.
Please tell me more details.

  • Could you check your redmine log file like log/production.log ?
    If your can, please show a error part of the log.
    Error1.PNG has no information.
  • Could you try to run redmine with only redmine_xlsx_format_issue_exporter?
  • What's version is your ubuntu?
  • How to install your Redmine? virtualbox by Bitnami?

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

Tatsuya Saito wrote:

I'm trying to reproduce it, but not yet.
Please tell me more details.

  • Could you check your redmine log file like log/production.log ?
    If your can, please show a error part of the log.
    Error1.PNG has no information.
  • Could you try to run redmine with only redmine_xlsx_format_issue_exporter? Yes
  • What's version is your Ubuntu? 16.04
  • How to install your Redmine? virtualbox by Bitnami? Bitnami

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

Tatsuya Saito wrote:

I'm trying to reproduce it, but not yet.
Please tell me more details.

  • Could you check your redmine log file like log/production.log ?
    If your can, please show a error part of the log.
    Error1.PNG has no information.
  • Could you try to run redmine with only redmine_xlsx_format_issue_exporter? Yes I tried and it is giving error but after removing this plug-in, keeping other plug-in then redmine is working properly
  • What's version is your Ubuntu? 16.04
  • How to install your Redmine? virtualbox by Bitnami? I have installed Bitnami package on virtual box of Ubuntu 16.04

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Tatsuya Saito 9 months ago

Vishakha Jadhav wrote:

  • How to install your Redmine? virtualbox by Bitnami? I have installed Bitnami package on virtual box of Ubuntu 16.04

I tried following environment, but cannot reproduce it yet.
I can export XLSX issues list.
If you want to research more, please show your production.log, and try to check on new environment.

My test environment in VirtualBox:

root@ubuntu:/opt/redmine-3.4.4-2# uname -a
Linux ubuntu 4.4.0-131-generic #157-Ubuntu SMP Thu Jul 12 15:51:36 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
root@ubuntu:/opt/redmine-3.4.4-2/apps/redmine/htdocs# bin/about

sh: 1: darcs: not found
sh: 1: hg: not found
sh: 1: cvs: not found
sh: 1: bzr: not found
Environment:
  Redmine version                3.4.4.stable
  Ruby version                   2.3.6-p384 (2017-12-14) [x86_64-linux]
  Rails version                  4.2.8
  Environment                    production
  Database adapter               Mysql2
SCM:
  Subversion                     1.9.7
  Git                            2.14.1
  Filesystem                     
Redmine plugins:
  event_notifications            2.4.1
  redmine_xlsx_format_issue_exporter 0.1.5
  silent_statuses                1.0

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

Tatsuya Saito wrote:

Vishakha Jadhav wrote:

  • How to install your Redmine? virtualbox by Bitnami? I have installed Bitnami package on virtual box of Ubuntu 16.04

I tried following environment, but cannot reproduce it yet.
I can export XLSX issues list.
If you want to research more, please show your production.log, and try to check on new environment.

My test environment in VirtualBox:

[...]

access_log - Access_log (17.5 KB)

error_log - Error_log (127 KB)

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

I am getting warning after executing " bundle install --without test" command, the warning is as follows :

Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine.
Warning: this Gemfile contains multiple primary sources. Using `source` more than once without a block is a security risk, and may result in installing unexpected gems. To resolve this warning, use a block to indicate which gems should come from the secondary source. To upgrade this warning to an error, run `bundle config disable_multisource true`.
Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

and i have installed explicitly the below packages :

gem install rake -v 12.3.0;
gem install i18n -v 0.7.0;
gem install minitest -v 5.11.1;
gem install thread_safe -v 0.3.6;
gem install tzinfo -v 1.2.4;
gem install activesupport -v 4.2.8;
gem install builder -v 3.2.3;
gem install erubis -v 2.7.0;
gem install mini_portile2 -v 2.3.0;
gem install nokogiri -v 1.8.1;
gem install rails-deprecated_sanitizer -v 1.0.3;
gem install rails-dom-testing -v 1.0.9;
gem install crass -v 1.0.3;
gem install loofah -v 2.1.1;
gem install rails-html-sanitizer -v 1.0.3;
gem install actionview -v 4.2.8;
gem install rack -v 1.6.8;
gem install rack-test -v 0.6.3;
gem install actionpack -v 4.2.8;
gem install globalid -v 0.4.1;
gem install activejob -v 4.2.8;
gem install mime-types-data -v 3.2016.0521;
gem install mime-types -v 3.1;
gem install mail -v 2.6.6;
gem install actionmailer -v 4.2.8;
gem install actionpack-xml_parser -v 1.0.2;
gem install activemodel -v 4.2.8;
gem install arel -v 6.0.4;
gem install activerecord -v 4.2.8;
gem install public_suffix -v 3.0.1;
gem install addressable -v 2.5.2;
gem install bundler -v 1.16.3;
gem install coderay -v 1.1.2;
gem install concurrent-ruby -v 1.0.5;
gem install css_parser -v 1.6.0;
gem install htmlentities -v 4.3.4;
gem install thor -v 0.20.0;
gem install railties -v 4.2.8;
gem install jquery-rails -v 3.1.4;
gem install mimemagic -v 0.3.2;
gem install mysql2 -v 0.4.10;
gem install net-ldap -v 0.12.1;
gem install protected_attributes -v 1.1.4;
gem install ruby-openid -v 2.3.0;
gem install rack-openid -v 1.4.2;
gem install sprockets -v 3.7.1;
gem install sprockets-rails -v 3.2.1;
gem install rails -v 4.2.8;
gem install rbpdf-font -v 1.19.1;
gem install rbpdf -v 1.19.3;
gem install redcarpet -v 3.4.0;
gem install request_store -v 1.0.5;
gem install rmagick -v 2.16.0;
gem install roadie -v 3.2.2;
gem install roadie-rails -v 1.1.1;
gem install rubyzip -v 1.2.1;
gem install zip-zip -v 0.3;
gem install write_xlsx -v 0.85.5;

But i am still facing the same error please suggest in it.

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

Tatsuya Saito wrote:

Vishakha Jadhav wrote:

  • How to install your Redmine? virtualbox by Bitnami? I have installed Bitnami package on virtual box of Ubuntu 16.04

I tried following environment, but cannot reproduce it yet.
I can export XLSX issues list.
If you want to research more, please show your production.log, and try to check on new environment.

My test environment in VirtualBox:

[...]

1.PNG - Error (181 KB)

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

I have tried to install plugin on my colleagues Virtual Machine(Ubuntu 16.04) and it is also showing the same error.
Please find an attachment of error

Error.PNG (234 KB)

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Vishakha Jadhav 9 months ago

The issue is resolved. Thank you for the help.

The following commands was helpful for resolving the error:

bundle config --delete frozen

RE: Redmine XLSX format issue exporter plugin gives error on ubuntu - Added by Tatsuya Saito 9 months ago

Vishakha Jadhav wrote:

The issue is resolved. Thank you for the help.

The following commands was helpful for resolving the error:

bundle config --delete frozen

It sounds good :)
On Bitnami Redmine, we need to add bundler option for installing plugin.
https://docs.bitnami.com/general/apps/redmine/#troubleshooting-plugin-installation
https://community.bitnami.com/t/error-when-using-bundle-install/54704/2

(1-13/13)